clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ParameterInformation Struct Reference

A single parameter of a particular signature. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::ParameterInformation:
[legend]

## Public Attributes
std::string | labelString
| The label of this parameter. Ignored when labelOffsets is set. More...
llvm::Optional< std::pair< unsigned, unsigned > > | labelOffsets
| Inclusive start and exclusive end offsets withing the containing signature label. More...
std::string | documentation
| The documentation of this parameter. Optional. More...

## Detailed Description

A single parameter of a particular signature.

Definition at line 1028 of file Protocol.h.

## Member Data Documentation

## ◆ documentation

std::string clang::clangd::ParameterInformation::documentation

The documentation of this parameter. Optional.

Definition at line 1040 of file Protocol.h.

## ◆ labelOffsets

llvm::Optional<std::pair<unsigned, unsigned> > clang::clangd::ParameterInformation::labelOffsets

Inclusive start and exclusive end offsets withing the containing signature label.

Offsets are computed by lspLength(), which counts UTF-16 code units by default but that can be overriden, see its documentation for details.

Definition at line 1037 of file Protocol.h.

## ◆ labelString

std::string clang::clangd::ParameterInformation::labelString

The label of this parameter. Ignored when labelOffsets is set.

Definition at line 1031 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h